<template>
  <header class="navbar is-dark">
    <div class="container">
      <div class="navbar-brand">
        <nuxt-link
          class="navbar-item"
          :to="localePath('/')"
          @click="open = false"
        >
          Gaël Demette
        </nuxt-link>
        <div
          class="navbar-burger burger"
          @click="open = !open"
        >
          <span aria-hidden="true" />
          <span aria-hidden="true" />
          <span aria-hidden="true" />
          <span aria-hidden="true" />
        </div>
      </div>
      <div
        class="navbar-menu"
        :class="{ 'is-active': open }"
      >
        <div class="navbar-start">
          <nuxt-link
            class="navbar-item"
            :to="localePath('/')"
            @click="open = false"
          >
            {{ $t('profile') }}
          </nuxt-link>
          <div class="navbar-item has-dropdown is-hoverable">
            <span class="navbar-link">
              {{ $t('others') }}
            </span>
            <div class="navbar-dropdown is-boxed">
              <nuxt-link
                class="navbar-item"
                :to="localePath('wishlist')"
                @click="open = false"
              >
                {{ $t('wishlist') }}
              </nuxt-link>
              <nuxt-link
                class="navbar-item"
                :to="localePath('tea')"
                @click="open = false"
              >
                {{ $t('tea') }}
              </nuxt-link>
              <nuxt-link
                class="navbar-item"
                :to="localePath('plant')"
                @click="open = false"
              >
                {{ $t('plants') }}
              </nuxt-link>
              <nuxt-link
                class="navbar-item"
                :to="localePath('blood-donation')"
                @click="open = false"
              >
                {{ $t('blood_donation') }}
              </nuxt-link>
            </div>
          </div>
          <div class="navbar-item has-dropdown is-hoverable">
            <span class="navbar-link">
              {{ $t('contact') }}
            </span>
            <div class="navbar-dropdown is-boxed">
              <a
                class="navbar-item"
                href="mailto:gael+website@demette.fr"
                title="Email"
                target="_blank"
                @click="open = false"
              >
                <span>Email</span>
              </a>
              <a
                class="navbar-item"
                href="https://github.com/Nainterceptor"
                title="Github"
                target="_blank"
                @click="open = false"
              >
                <span>Github</span>
              </a>
              <a
                class="navbar-item"
                href="https://gitlab.com/Nainterceptor"
                title="Gitlab"
                target="_blank"
                @click="open = false"
              >
                <span>Gitlab</span>
              </a>
              <a
                class="navbar-item"
                href="https://x.com/gael_demette"
                title="𝕏 (ex-twitter)"
                target="_blank"
                @click="open = false"
              >
                <span>𝕏</span>
              </a>
              <a
                class="navbar-item"
                href="https://www.linkedin.com/in/gaeldemette/"
                title="LinkedIn"
                target="_blank"
                @click="open = false"
              >
                <span>LinkedIn</span>
              </a>
            </div>
          </div>
        </div>
        <div class="navbar-end">
          <language-switcher />
        </div>
      </div>
    </div>
  </header>
</template>

<script setup>
import { ref } from 'vue'
import LanguageSwitcher from './language-switcher.vue'
import { useLocalePath } from '#i18n'

const open = ref(false)
const localePath = useLocalePath()
</script>
